> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Campaign Analytics

> Get campaign performance analytics.

## Campaign analytics

`GET /api/analytics/campaigns`

Retrieve aggregated campaign performance metrics.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

**startDate** `string` *required*

Start date (ISO 8601)

**endDate** `string` *required*

End date (ISO 8601)

**channelId** `string`

Filter by channel

```bash cURL theme={null}
curl "https://zeplo.ai/api/analytics/campaigns?startDate=2026-01-01&endDate=2026-01-31" \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "totalCampaigns": 12,
    "completedCampaigns": 10,
    "runningCampaigns": 2,
    "totalRecipients": 5000,
    "totalSent": 4800,
    "totalDelivered": 4700,
    "totalRead": 3200,
    "totalReplied": 450,
    "campaigns": [
      {
        "id": 1,
        "name": "New Year Promo",
        "status": "completed",
        "deliveryRate": 97.9,
        "readRate": 68.1,
        "replyRate": 9.6
      }
    ]
  }
}
```

***

## Campaign analytics by ID

`GET /api/analytics/campaigns/:campaignId`

```bash cURL theme={null}
curl https://zeplo.ai/api/analytics/campaigns/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.